searchNodes=[{"doc":"","ref":"OrderedMap.html","title":"OrderedMap","type":"module"},{"doc":"Deletes the entry in ordered_map having key key.Examplesiex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; OrderedMap.delete(ordered_map, &quot;key1&quot;) %OrderedMap{ keys: [&quot;key2&quot;], map: %{&quot;key2&quot; =&gt; 2}, size: 1 } iex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1}, ...&gt; size: 1 ...&gt; } iex&gt; OrderedMap.delete(ordered_map, &quot;key2&quot;) %OrderedMap{ keys: [&quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 1}, size: 1 } iex&gt; OrderedMap.delete(OrderedMap.new(), &quot;key&quot;) %OrderedMap{keys: [], map: %{}, size: 0}","ref":"OrderedMap.html#delete/2","title":"OrderedMap.delete/2","type":"function"},{"doc":"Fetches the value for a specific key in the given ordered_map.Examplesiex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; OrderedMap.fetch(ordered_map, &quot;key1&quot;) {:ok, 1} iex&gt; ordered_map = OrderedMap.new() iex&gt; OrderedMap.fetch(ordered_map, &quot;key&quot;) :error","ref":"OrderedMap.html#fetch/2","title":"OrderedMap.fetch/2","type":"function"},{"doc":"Gets the value for a specific key.Examplesiex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; OrderedMap.get(ordered_map, &quot;key2&quot;) 2 iex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1}, ...&gt; size: 1, ...&gt; } iex&gt; OrderedMap.get(ordered_map, &quot;key2&quot;) nil iex&gt; OrderedMap.get(OrderedMap.new(), &quot;key&quot;) nil iex&gt; OrderedMap.get(OrderedMap.new(), &quot;key&quot;, :default) :default","ref":"OrderedMap.html#get/3","title":"OrderedMap.get/3","type":"function"},{"doc":"Gets the value from key and updates it, all in one pass.Examplesiex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; fun = fn current -&gt; {current, 3} end iex&gt; OrderedMap.get_and_update(ordered_map, &quot;key1&quot;,fun) { 1, %OrderedMap{ keys: [&quot;key2&quot;, &quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 3, &quot;key2&quot; =&gt; 2}, size: 2, } }","ref":"OrderedMap.html#get_and_update/3","title":"OrderedMap.get_and_update/3","type":"function"},{"doc":"Returns whether a given key exists in the given ordered_map.Examplesiex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; OrderedMap.has_key?(ordered_map, &quot;key1&quot;) true iex&gt; OrderedMap.has_key?(OrderedMap.new(), &quot;key&quot;) false","ref":"OrderedMap.html#has_key?/2","title":"OrderedMap.has_key?/2","type":"function"},{"doc":"Returns all keys from ordered_map.Examplesiex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; OrderedMap.keys ordered_map [&quot;key1&quot;, &quot;key2&quot;] iex&gt; OrderedMap.keys OrderedMap.new() []","ref":"OrderedMap.html#keys/1","title":"OrderedMap.keys/1","type":"function"},{"doc":"Returns a new ordered map.Examplesiex&gt; OrderedMap.new() %OrderedMap{keys: [], map: %{}, size: 0}","ref":"OrderedMap.html#new/0","title":"OrderedMap.new/0","type":"function"},{"doc":"Returns and removes the value associated with key in ordered_map.Examplesiex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; OrderedMap.pop(ordered_map, &quot;key1&quot;) { 1, %OrderedMap{ keys: [&quot;key2&quot;], map: %{&quot;key2&quot; =&gt; 2}, size: 1, } }","ref":"OrderedMap.html#pop/2","title":"OrderedMap.pop/2","type":"function"},{"doc":"Puts the given value under key.Examplesiex&gt; ordered_map = OrderedMap.new() iex&gt; ordered_map = ...&gt; OrderedMap.put(ordered_map, &quot;key1&quot;, 1) %OrderedMap{ keys: [&quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 1}, size: 1, } iex&gt; OrderedMap.put(ordered_map, &quot;key2&quot;, 2) %OrderedMap{ keys: [&quot;key2&quot;, &quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, size: 2, } iex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; OrderedMap.put(ordered_map, &quot;key2&quot;, 3) %OrderedMap{ keys: [&quot;key2&quot;, &quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 3}, size: 2, }","ref":"OrderedMap.html#put/3","title":"OrderedMap.put/3","type":"function"},{"doc":"Puts the given value under key unless the entry key already exists.Examplesiex&gt; ordered_map = OrderedMap.new() iex&gt; ordered_map = ...&gt; OrderedMap.put_new(ordered_map, &quot;key1&quot;, 1) %OrderedMap{ keys: [&quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 1}, size: 1, } iex&gt; OrderedMap.put_new(ordered_map, &quot;key1&quot;, 2) %OrderedMap{ keys: [&quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 1}, size: 1, }","ref":"OrderedMap.html#put_new/3","title":"OrderedMap.put_new/3","type":"function"},{"doc":"Puts the given value under key. If key exists, a RuntimeError is raised.Examplesiex&gt; ordered_map = OrderedMap.new() iex&gt; ordered_map = ...&gt; OrderedMap.put_new!(ordered_map, &quot;key1&quot;, 1) %OrderedMap{ keys: [&quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 1}, size: 1, } iex&gt; OrderedMap.put_new!(ordered_map, &quot;key1&quot;, 2) ** (RuntimeError) key &quot;key1&quot; already exists in: %OrderedMap{keys: [&quot;key1&quot;], map: %{&quot;key1&quot; =&gt; 1}, size: 1}","ref":"OrderedMap.html#put_new!/3","title":"OrderedMap.put_new!/3","type":"function"},{"doc":"Returns all values from ordered_map.Examplesiex&gt; ordered_map = ...&gt; %OrderedMap{ ...&gt; keys: [&quot;key2&quot;, &quot;key1&quot;], ...&gt; map: %{&quot;key1&quot; =&gt; 1, &quot;key2&quot; =&gt; 2}, ...&gt; size: 2, ...&gt; } iex&gt; OrderedMap.values ordered_map [1, 2] iex&gt; OrderedMap.values OrderedMap.new() []","ref":"OrderedMap.html#values/1","title":"OrderedMap.values/1","type":"function"},{"doc":"","ref":"OrderedMap.html#t:key/0","title":"OrderedMap.key/0","type":"type"},{"doc":"","ref":"OrderedMap.html#t:t/0","title":"OrderedMap.t/0","type":"type"},{"doc":"OrderedMapAn order-preserving map implementation for Elixir.","ref":"readme.html","title":"OrderedMap","type":"extras"},{"doc":"Add ordered_map to your list of dependencies in mix.exs:def deps do [{:ordered_map, &quot;~&gt; 0.0.5&quot;}] end","ref":"readme.html#installation","title":"OrderedMap - Installation","type":"extras"},{"doc":"Read here.","ref":"readme.html#docs","title":"OrderedMap - Docs","type":"extras"},{"doc":"MPL-2.0","ref":"readme.html#license","title":"OrderedMap - License","type":"extras"}]